/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/base/Object','./OverflowToolbarButton','./OverflowToolbarToggleButton','./ToggleButton','./Button','sap/m/library',"sap/base/Log"],function(B,O,a,T,b,l,L){"use strict";var c=l.ButtonType;var d=B.extend("sap.m._overflowToolbarHelpers.OverflowToolbarAssociativePopoverControls",{constructor:function(){this._mControlsCache={};},getInterface:function(){return this;}});d.prototype._preProcessSapMButton=function(o){var e=o.getType();this._mControlsCache[o.getId()]={buttonType:e};if(e===c.Default){o.setProperty("type",c.Transparent,true);}o.attachEvent("_change",this._onSapMButtonUpdated,this);};d.prototype._postProcessSapMButton=function(o){var p=this._mControlsCache[o.getId()];if(o.getType()!==p.buttonType){o.setProperty("type",p.buttonType,true);}o.detachEvent("_change",this._onSapMButtonUpdated,this);};d.prototype._onSapMButtonUpdated=function(e){var p=e.getParameter("name"),o=e.getSource(),s=o.getId();if(typeof this._mControlsCache[s]==="undefined"){return;}if(p==="type"){this._mControlsCache[s]["buttonType"]=o.getType();}};d.prototype._preProcessSapMOverflowToolbarButton=function(o){this._preProcessSapMButton(o);o._bInOverflow=true;};d.prototype._postProcessSapMOverflowToolbarButton=function(o){delete o._bInOverflow;this._postProcessSapMButton(o);};d.prototype._preProcessSapMToggleButton=function(o){this._preProcessSapMButton(o);};d.prototype._postProcessSapMToggleButton=function(o){this._postProcessSapMButton(o);};d.prototype._preProcessSapMOverflowToolbarToggleButton=function(o){this._preProcessSapMToggleButton(o);o._bInOverflow=true;};d.prototype._postProcessSapMOverflowToolbarToggleButton=function(o){delete o._bInOverflow;this._postProcessSapMToggleButton(o);};d._mSupportedControls={"sap.m.Button":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","type"]},"sap.m.MenuButton":{canOverflow:true,listenForEvents:["defaultAction","_menuItemSelected"],noInvalidationProps:["enabled","text","icon"]},"sap.m.OverflowToolbarButton":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","type"]},"sap.m.OverflowToolbarToggleButton":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","type","pressed"]},"sap.m.CheckBox":{canOverflow:true,listenForEvents:["select"],noInvalidationProps:["enabled","selected"]},"sap.m.ToggleButton":{canOverflow:true,listenForEvents:["press"],noInvalidationProps:["enabled","pressed"]},"sap.m.ComboBox":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled","value","selectedItemId","selectedKey"]},"sap.m.SearchField":{canOverflow:true,listenForEvents:["search"],noInvalidationProps:["enabled","value","selectOnFocus"]},"sap.m.Input":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled","value"]},"sap.m.DateTimeInput":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue"]},"sap.m.DatePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat","displayFormatType","secondaryCalendarType","minDate","maxDate"]},"sap.m.DateTimePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat","displayFormatType","secondaryCalendarType","minDate","maxDate"]},"sap.m.TimePicker":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","dateValue","displayFormat","valueFormat"]},"sap.m.RadioButton":{canOverflow:false,listenForEvents:[],noInvalidationProps:["enabled","selected"]},"sap.m.Slider":{canOverflow:false,listenForEvents:[],noInvalidationProps:["enabled","value"]},"sap.m.IconTabHeader":{canOverflow:false,listenForEvents:[],noInvalidationProps:["selectedKey"]},"sap.ui.comp.smartfield.SmartField":{canOverflow:true,listenForEvents:["change"],noInvalidationProps:["enabled","value","valueState","showValueHelp","contextEditable","clientSideMandatoryCheck","mandatory","name","placeholder","showSuggestion","tooltipLabel"]},"sap.ui.comp.smartfield.SmartLabel":{canOverflow:true,listenForEvents:[],noInvalidationProps:["enabled"]}};d.getControlConfig=function(o){var e;if(o.getMetadata().getInterfaces().indexOf("sap.m.IOverflowToolbarContent")!==-1){if(typeof o.getOverflowToolbarConfig!=="function"){L.error("Required method getOverflowToolbarConfig not implemented by: "+o.getMetadata().getName());return;}e=o.getOverflowToolbarConfig();if(typeof e!=="object"){L.error("Method getOverflowToolbarConfig implemented, but does not return an object in: "+o.getMetadata().getName());return;}return{canOverflow:!!e.canOverflow,listenForEvents:Array.isArray(e.autoCloseEvents)?e.autoCloseEvents:[],noInvalidationProps:Array.isArray(e.propsUnrelatedToSize)?e.propsUnrelatedToSize:[],preProcess:e.onBeforeEnterOverflow,postProcess:e.onAfterExitOverflow};}var s=d.getControlClass(o);e=d._mSupportedControls[s];if(e===undefined){return;}var p="_preProcess"+s.split(".").map(C).join("");if(typeof d.prototype[p]==="function"){e.preProcess=d.prototype[p];}var P="_postProcess"+s.split(".").map(C).join("");if(typeof d.prototype[P]==="function"){e.postProcess=d.prototype[P];}return e;};d.supportsControl=function(o){var e=d.getControlConfig(o);return typeof e!=="undefined"&&e.canOverflow;};d.getControlClass=function(o){if(o instanceof O){return"sap.m.OverflowToolbarButton";}else if(o instanceof a){return"sap.m.OverflowToolbarToggleButton";}else if(o instanceof T){return"sap.m.ToggleButton";}else if(o instanceof b){return"sap.m.Button";}return o.getMetadata().getName();};function C(n){return n.substring(0,1).toUpperCase()+n.substr(1);}return d;});
