/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/m/library","sap/m/OverflowToolbarLayoutData","sap/ui/core/IconPool","sap/ui/core/InvisibleText"],function(B,l,O,I,a){"use strict";var b=l.ButtonType;var P=l.PlacementType;var S=l.semantic.SemanticRuleSetType;var c=l.OverflowToolbarPriority;var d=B.extend("sap.m.semantic.SemanticConfiguration",{getInterface:function(){return this;}});d.prototype._PositionInPage={headerLeft:"headerLeft",headerRight:"headerRight",headerMiddle:"headerMiddle",footerLeft:"footerLeft",footerRight_IconOnly:"footerRight_IconOnly",footerRight_TextOnly:"footerRight_TextOnly",shareMenu:"shareMenu"};d._PageMode={display:"display",edit:"edit",multimode:"multimode"};d.isKnownSemanticType=function(t){return d.getConfiguration(t)!=undefined;};d.getConfiguration=function(t){return d._oTypeConfigs[t];};d.getSettings=function(t){return d._oTypeConfigs[t].getSettings();};d.getPositionInPage=function(t){return d._oTypeConfigs[t].position;};d.getSequenceOrderIndex=function(t){return d._oTypeConfigs[t].order;};d.getAriaId=function(t){return d._oTypeConfigs[t].getSettings().ariaLabelledBy;};d.getShareMenuConfig=function(r){switch(r){case S.Classic:return{baseButtonPlacement:P.Bottom,actionSheetPlacement:P.Top};case S.Optimized:return{baseButtonPlacement:P.Top,actionSheetPlacement:P.Bottom};}};d._oTypeConfigs=(function(){var t={},o=sap.ui.getCore().getLibraryResourceBundle("sap.m");t["sap.m.semantic.MultiSelectAction"]={position:d.prototype._PositionInPage.headerRight,getSettings:function(){return{icon:I.getIconURI("multi-select"),tooltip:o.getText("SEMANTIC_CONTROL_MULTI_SELECT")};}};t["sap.m.semantic.MainAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:b.Emphasized,layoutData:new O({priority:c.NeverOverflow})};},order:0};t["sap.m.semantic.EditAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,triggers:d._PageMode.edit,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_EDIT"),type:b.Emphasized,layoutData:new O({priority:c.NeverOverflow})};},order:1};t["sap.m.semantic.SaveAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,triggers:d._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_SAVE"),type:b.Emphasized,layoutData:new O({priority:c.NeverOverflow})};},order:3};t["sap.m.semantic.DeleteAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,triggers:d._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_DELETE"),layoutData:new O({priority:c.NeverOverflow})};},order:4};t["sap.m.semantic.PositiveAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:b.Accept,layoutData:new O({priority:c.NeverOverflow})};},order:5};t["sap.m.semantic.NegativeAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:b.Reject,layoutData:new O({priority:c.NeverOverflow})};},order:6};t["sap.m.semantic.CancelAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,triggers:d._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_CANCEL")};},order:7};t["sap.m.semantic.ForwardAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_FORWARD")};},order:8};t["sap.m.semantic.OpenInAction"]={position:d.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_OPEN_IN")};},order:9};t["sap.m.semantic.AddAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,triggers:d._PageMode.edit,getSettings:function(){return{icon:I.getIconURI("add"),text:o.getText("SEMANTIC_CONTROL_ADD"),tooltip:o.getText("SEMANTIC_CONTROL_ADD")};},order:0,constraints:"IconOnly"};t["sap.m.semantic.FavoriteAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("favorite"),text:o.getText("SEMANTIC_CONTROL_FAVORITE"),tooltip:o.getText("SEMANTIC_CONTROL_FAVORITE")};},order:1,constraints:"IconOnly"};t["sap.m.semantic.FlagAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("flag"),text:o.getText("SEMANTIC_CONTROL_FLAG"),tooltip:o.getText("SEMANTIC_CONTROL_FLAG")};},order:2,constraints:"IconOnly"};t["sap.m.semantic.ISort"]={position:d.prototype._PositionInPage.footerRight_IconOnly,order:3};t["sap.m.semantic.IFilter"]={position:d.prototype._PositionInPage.footerRight_IconOnly,order:4};t["sap.m.semantic.IGroup"]={position:d.prototype._PositionInPage.footerRight_IconOnly,order:5};t["sap.m.semantic.SortAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("sort"),text:o.getText("SEMANTIC_CONTROL_SORT"),tooltip:o.getText("SEMANTIC_CONTROL_SORT")};},constraints:"IconOnly"};t["sap.m.semantic.SortSelect"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("sort"),type:"IconOnly",autoAdjustWidth:true,tooltip:o.getText("SEMANTIC_CONTROL_SORT")};},getEventDelegates:function(C){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"});}.bind(C)};},constraints:"IconOnly"};t["sap.m.semantic.FilterAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("filter"),text:o.getText("SEMANTIC_CONTROL_FILTER"),tooltip:o.getText("SEMANTIC_CONTROL_FILTER")};},constraints:"IconOnly"};t["sap.m.semantic.FilterSelect"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("filter"),type:"IconOnly",autoAdjustWidth:true,tooltip:o.getText("SEMANTIC_CONTROL_FILTER")};},getEventDelegates:function(C){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"});}.bind(C)};},constraints:"IconOnly"};t["sap.m.semantic.GroupAction"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("group-2"),text:o.getText("SEMANTIC_CONTROL_GROUP"),tooltip:o.getText("SEMANTIC_CONTROL_GROUP")};},constraints:"IconOnly"};t["sap.m.semantic.GroupSelect"]={position:d.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("group-2"),type:"IconOnly",autoAdjustWidth:true};},getEventDelegates:function(C){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":"listbox"});}.bind(C)};},constraints:"IconOnly"};t["saveAsTileAction"]={position:d.prototype._PositionInPage.shareMenu,order:0,constraints:"IconOnly"};t["pagingAction"]={position:d.prototype._PositionInPage.headerRight};t["sap.m.semantic.DiscussInJamAction"]={position:d.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("discussion-2"),text:o.getText("SEMANTIC_CONTROL_DISCUSS_IN_JAM")};},order:1,constraints:"IconOnly"};t["sap.m.semantic.ShareInJamAction"]={position:d.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("share-2"),text:o.getText("SEMANTIC_CONTROL_SHARE_IN_JAM")};},order:2,constraints:"IconOnly"};t["sap.m.semantic.SendMessageAction"]={position:d.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("discussion"),text:o.getText("SEMANTIC_CONTROL_SEND_MESSAGE")};},order:3,constraints:"IconOnly"};t["sap.m.semantic.SendEmailAction"]={position:d.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("email"),text:o.getText("SEMANTIC_CONTROL_SEND_EMAIL")};},order:4,constraints:"IconOnly"};t["sap.m.semantic.PrintAction"]={position:d.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("print"),text:o.getText("SEMANTIC_CONTROL_PRINT")};},order:5,constraints:"IconOnly"};t["sap.m.semantic.MessagesIndicator"]={position:d.prototype._PositionInPage.footerLeft,getSettings:function(){var T=a.getStaticId("sap.m","SEMANTIC_CONTROL_MESSAGES_INDICATOR");return{icon:I.getIconURI("message-popup"),text:{path:"message>/",formatter:function(m){return m.length||0;}},tooltip:o.getText("SEMANTIC_CONTROL_MESSAGES_INDICATOR"),ariaLabelledBy:T,type:b.Emphasized,visible:{path:"message>/",formatter:function(m){return m&&m.length>0;}},models:{message:sap.ui.getCore().getMessageManager().getMessageModel()},layoutData:new O({priority:c.NeverOverflow})};}};t["draftIndicator"]={position:d.prototype._PositionInPage.footerLeft,getSettings:function(){return{layoutData:new O({shrinkable:false})};},order:1};return t;})();return d;});
