/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/ui/base/ManagedObject","sap/ui/dt/ElementUtil","sap/ui/dt/DOMUtil","sap/ui/dt/OverlayUtil","sap/ui/dt/Util"],function(B,M,E,D,O,a){"use strict";var b=M.extend("sap.ui.dt.plugin.ElementMover",{metadata:{library:"sap.ui.dt",properties:{movableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]}},associations:{},events:{validTargetZonesActivated:{}}}});b.prototype._getMovableTypes=function(){return this.getProperty("movableTypes")||[];};b.prototype.isMovableType=function(e){var m=this._getMovableTypes();return m.some(function(t){return B.isA(e,t);});};b.prototype.checkMovable=function(){return Promise.resolve(true);};b.prototype.getMovedOverlay=function(){return this._oMovedOverlay;};b.prototype.setMovedOverlay=function(m){if(m){this._source=O.getParentInformation(m);}else{delete this._source;}this._oMovedOverlay=m;};b.prototype._getSource=function(){return this._source;};b.prototype.activateAllValidTargetZones=function(d,A){return this._iterateAllAggregations(d,this._activateValidTargetZone.bind(this),A,true).then(function(){this.fireValidTargetZonesActivated();}.bind(this));};b.prototype._activateValidTargetZone=function(A,s){return this.checkTargetZone(A).then(function(v){if(v){A.setTargetZone(true);if(s){A.addStyleClass(s);}}}).catch(function(e){throw a.createError("ElementMover#_activateValidTargetZone","An error occured during activation of valid target zones: "+e);});};b.prototype._checkAggregationOverlayVisibility=function(A,p){var o=A.getDomRef();var c=D.isVisible(o);if(!o){return c;}var P=p&&p.getDomRef&&p.getDomRef();var d=P?D.isVisible(P):true;return c||d;};b.prototype.checkTargetZone=function(A,o,c){var g=A.getGeometry();var G=g&&g.size.height>0&&g.size.width>0;var p=A.getElement();if((c&&!G)||!c&&!this._checkAggregationOverlayVisibility(A,p)||!(p&&p.getVisible&&p.getVisible())){return Promise.resolve(false);}if(!p.getParent()){return Promise.resolve(false);}var m=o||this.getMovedOverlay();var d=m.getElement();var s=A.getAggregationName();if(d&&E.isValidForAggregation(p,s,d)){return Promise.resolve(true);}return Promise.resolve(false);};b.prototype._deactivateTargetZone=function(A,s){A.setTargetZone(false);if(s){A.removeStyleClass(s);}};b.prototype.activateTargetZonesFor=function(o,A){return this._iterateOverlayAggregations(o,this._activateValidTargetZone.bind(this),A,true).then(function(){this.fireValidTargetZonesActivated();}.bind(this));};b.prototype.deactivateTargetZonesFor=function(o,A){this._iterateOverlayAggregations(o,this._deactivateTargetZone.bind(this),A);};b.prototype.deactivateAllTargetZones=function(d,A){this._iterateAllAggregations(d,this._deactivateTargetZone.bind(this),A);};b.prototype._iterateAllAggregations=function(d,s,A,c){var o=d.getElementOverlays();var r=o.map(function(e){return this._iterateOverlayAggregations(e,s,A,c);},this);if(c){return Promise.all(r);}};b.prototype._iterateOverlayAggregations=function(o,s,A,c){var d=o.getAggregationOverlays();var r=d.map(function(e){return s(e,A);});if(c){return Promise.all(r);}};b.prototype.repositionOn=function(m,t,i){var o=m.getElement();var T=O.getParentInformation(t);var s=O.getParentInformation(m);var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var c=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(c);}if(T.index!==-1){if(A&&A.beforeMove){A.beforeMove(r,o);}if(i){T.index++;if(s.aggregation===T.aggregation){T.index=E.adjustIndexForMove(s.parent,T.parent,s.index,T.index);}}E.insertAggregation(T.parent,T.aggregation,o,T.index);if(A&&A.afterMove){A.afterMove(r,o);}}};b.prototype.insertInto=function(m,t,i){var o=m.getElement();var T=t.getElement();var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var s=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(s);}var c=E.getAggregation(t.getElement(),t.getAggregationName());var I=c.indexOf(o);var d=i?c.length:0;if(!(I>-1&&I===(d===0?d:d-1))){if(A&&A.beforeMove){A.beforeMove(r,o);}var e=t.getAggregationName();E.insertAggregation(T,e,o,d);if(A&&A.afterMove){A.afterMove(r,o);}}};b.prototype._compareSourceAndTarget=function(s,t){var p;for(p in s){switch(typeof(s[p])){case'object':if(s[p].getId()!==t[p].getId()){return false;}break;default:if(s[p]!==t[p]){return false;}}}return true;};return b;});
