/*
 * ! OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/mdc/field/FieldHelpBase','sap/ui/mdc/condition/Condition','sap/ui/mdc/enum/ConditionValidated','sap/ui/model/FormatException','sap/ui/model/ParseException','sap/ui/model/base/ManagedObjectModel','sap/ui/base/ManagedObjectObserver','sap/ui/mdc/library'],function(F,C,a,b,P,M,c,l){"use strict";var L;var D;var m;var d;var e=F.extend("sap.ui.mdc.field.ListFieldHelp",{metadata:{library:"sap.ui.mdc",properties:{filterList:{type:"boolean",group:"Appearance",defaultValue:true},useFirstMatch:{type:"boolean",group:"Behavior",defaultValue:false}},aggregations:{items:{type:"sap.ui.core.ListItem",multiple:true,singularName:"item"}},defaultAggregation:"items"}});e._init=function(){F._init.apply(this,arguments);L=undefined;D=undefined;m=undefined;d=undefined;};e.prototype.init=function(){F.prototype.init.apply(this,arguments);this._oManagedObjectModel=new M(this);this._oObserver=new c(g.bind(this));this._oObserver.observe(this,{properties:["filterValue","conditions"],aggregations:["items"]});this._oResourceBundle=sap.ui.getCore().getLibraryResourceBundle("sap.ui.mdc");};e.prototype.exit=function(){F.prototype.exit.apply(this,arguments);this._oManagedObjectModel.destroy();delete this._oManagedObjectModel;this._oObserver.disconnect();this._oObserver=undefined;if(this._iDataUpdateTimer){clearTimeout(this._iDataUpdateTimer);this._iDataUpdateTimer=null;}};e.prototype._createPopover=function(){var i=F.prototype._createPopover.apply(this,arguments);if((!L||!D||!m)&&!this._bListRequested){L=sap.ui.require("sap/m/List");D=sap.ui.require("sap/m/DisplayListItem");m=sap.ui.require("sap/m/library");d=sap.ui.require("sap/ui/model/Filter");if(!L||!D||!m){sap.ui.require(["sap/m/List","sap/m/DisplayListItem","sap/m/library","sap/ui/model/Filter"],f.bind(this));this._bListRequested=true;}}if(i){_.call(this);}return i;};function _(){if(!this._oList&&L&&D&&m&&!this._bListRequested){var i=new D(this.getId()+"-item",{type:m.ListType.Active,label:"{$field>text}",value:"{$field>additionalText}"});var t=new d("text",o.bind(this));this._oList=new L(this.getId()+"-List",{width:"100%",showNoData:false,mode:m.ListMode.SingleSelectMaster,rememberSelections:false,items:{path:"$field>items",template:i,filters:t},itemPress:j.bind(this)});this._oList.setModel(this._oManagedObjectModel,"$field");this._oList.bindElement({path:"/",model:"$field"});q.call(this);this._setContent(this._oList);if(this._bNavigate){this._bNavigate=false;this.navigate(this._iStep);this._iStep=null;}}}function f(i,t,u,v){L=i;D=t;m=u;d=v;this._bListRequested=false;if(!this._bIsBeingDestroyed){_.call(this);}}e.prototype.open=function(S){return F.prototype.open.apply(this,arguments);};e.prototype._handleAfterClose=function(E){if(this._bUpdateFilterAfterClose){this._bUpdateFilterAfterClose=false;n.call(this);}F.prototype._handleAfterClose.apply(this,arguments);};function g(i){if(i.object===this){if(i.name==="items"){if(i.mutation==="insert"){this._oObserver.observe(i.child,{properties:true});}else{this._oObserver.unobserve(i.child);}h.call(this);}if(i.name==="conditions"){if(!this._bConditionUpdate){q.call(this);}}if(i.name==="filterValue"){if(this._oList){if(this._bClosing){this._bUpdateFilterAfterClose=true;}else{n.call(this);}}}}else{h.call(this);}}function h(){if(!this._iDataUpdateTimer){this._iDataUpdateTimer=setTimeout(function(){this._iDataUpdateTimer=null;this.fireDataUpdate();}.bind(this),0);}}e.prototype.openByTyping=function(){return true;};e.prototype.openByClick=function(){return!this.getFilterList();};e.prototype.navigate=function(S){var t=this._getPopover();if(!t||!this._oList){this._bNavigate=true;this._iStep=S;return;}var u=this._oList.getSelectedItem();var I=this._oList.getItems();var v=I.length;var w=0;var x=this.getFilterList();var y=this.getFilterValue();if(!x&&!u){var i=0;if(S>=0){for(i=0;i<I.length;i++){if(p.call(this,I[i].getLabel(),y)){w=i;break;}}}else{for(i=I.length-1;i>=0;i--){if(p.call(this,I[i].getLabel(),y)){w=i;break;}}}}else if(u){w=this._oList.indexOfItem(u);w=w+S;if(w<0){w=0;}else if(w>=v-1){w=v-1;}}else if(S>=0){w=S-1;}else{w=v+S;}var z=I[w];if(z&&z!==u){var O=k.call(this,z);var K=r.call(this,O);z.setSelected(true);var A=s.call(this,K,z.getLabel());if(!t.isOpen()){this.open();}this._oList.scrollToIndex(w);this.fireNavigate({key:K,value:z.getLabel(),condition:A,itemId:z.getId()});}};e.prototype._getTextOrKey=function(v,K,B,I,O,N){if(v===null||v===undefined){return null;}else if(!v&&!K){return null;}var t=this.getItems();var u;var i=0;for(i=0;i<t.length;i++){u=t[i];if(K){if(r.call(this,u)===v){return u.getText();}}else if(u.getText()===v){return r.call(this,u);}}if(K&&v===""){return null;}if(!K&&this.getUseFirstMatch()){for(i=0;i<t.length;i++){u=t[i];var T=u.getText();if(p.call(this,T,v)){return{key:r.call(this,u),description:T};}}}var E=this._oResourceBundle.getText("valuehelp.VALUE_NOT_EXIST",[v]);if(K){throw new b(E);}else{throw new P(E);}};function j(E){var i=E.getParameter("listItem");var S=i.getSelected();if(S){var O=k.call(this,i);var K=r.call(this,O);s.call(this,K,i.getLabel());this.close();this.fireSelect({conditions:this.getConditions(),add:true,close:true});}}function k(i){var t=i.getBindingContextPath();return this._oManagedObjectModel.getProperty(t);}function n(){var B=this._oList.getBinding("items");B.update();this._oList.updateItems();this._oList.invalidate();q.call(this);}function o(t){var i=this.getFilterList();return!i||p.call(this,t,this.getFilterValue());}function p(t,i){return!i||(typeof i==="string"&&t.toLowerCase().startsWith(i.toLowerCase()));}function q(){if(this._oList){var t=this.getConditions();var S;var u=this.getFilterValue();var U=this.getUseFirstMatch();var v=false;if(t.length>0&&(t[0].validated===a.Validated||t[0].operator==="EQ")){S=t[0].values[0];}var I=this._oList.getItems();for(var i=0;i<I.length;i++){var w=I[i];var O=k.call(this,w);if(t.length>0&&r.call(this,O)===S){w.setSelected(true);}else if(t.length===0&&U&&u&&!v&&p.call(this,w.getLabel(),u)){w.setSelected(true);v=true;}else{w.setSelected(false);}}}}function r(i){var B=i.getBinding("key");if(B){return B.getInternalValue();}else{return i.getKey();}}function s(K,v){this._bConditionUpdate=true;var i=C.createItemCondition(K,v);i.validated=a.Validated;this.setProperty("conditions",[i],true);this._bConditionUpdate=false;return i;}return e;});
