/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/ManagedObject","sap/ui/dt/ElementUtil","sap/ui/dt/OverlayRegistry","sap/ui/fl/Utils","sap/ui/fl/Layer","sap/ui/dt/Util","sap/base/util/merge"],function(M,E,O,F,L,D,m){"use strict";function e(z){var B=E.getAggregationInformation(z.getElement());if(B.elementId){var A=O.getOverlay(B.elementId);var P=A.getParentElementOverlay();var G=P?!!E.getAggregationInformation(P.getElement()).templateId:false;if(G){throw D.createError("CommandFactory#evaluateTemplateBinding","Multiple template bindings are not supported","sap.ui.rta");}var T=E.extractTemplateId(B);if(T){return{templateSelector:B.elementId,originalSelector:T,content:{boundAggregation:B.aggregation}};}}return undefined;}function g(z,I){var A=(typeof z==="string")?sap.ui.getCore().byId(z):z;var B=O.getOverlay(A);if(B){var G=E.getAggregationInformation(A);if(typeof I==="number"){G.stack[0].index=I;}return E.extractTemplateId(G);}return A.getId();}function a(z){if(!z){throw new Error("adjustment for template failed");}}function c(z,A,B){var G;var J=false;if(typeof(B)==="string"){G=B;}else{G=B&&B.changeType;J=B&&B.jsOnly;}if(!G){return false;}A.setChangeType(G);A.setJsOnly(J);return true;}function b(z,S,A){var B={changeType:S.name};if(A){jQuery.extend(B,A.getAction(S.name,z));}return B;}function d(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);}function f(z,S,A){var N=S.element||sap.ui.getCore().byId(S.element.id);var B=A.getActionDataFromAggregations("createContainer",N)[0];return B;}function h(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.parentId=g(S.parentId);a(S.parentId);}function i(z,S,A){var B=S.movedElements[0].element||sap.ui.getCore().byId(S.movedElements[0].id);var G=A.getAction("move",B);if(!G&&A.getMetadata().getName()==="sap.ui.dt.ElementDesignTimeMetadata"){G=A.getActionDataFromAggregations("move",z).filter(function(H){return H.aggregation===S.source.aggregation;})[0];}return G;}function j(S){var T=S.movedElements.map(function(z){var A=sap.ui.getCore().byId(g(z.element,z.sourceIndex));a(A);return A;});S.movedElements.forEach(function(z,A){z.element=T[A];});S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.source.parent=sap.ui.getCore().byId(g(S.source.parent));a(S.source.parent);S.target.parent=sap.ui.getCore().byId(g(S.target.parent));a(S.target.parent);}function k(z,S,A){var R=S.renamedElement;var B=A.getAction("rename",R);return B;}function l(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.renamedElement=sap.ui.getCore().byId(g(S.renamedElement));a(S.renamedElement);}function n(z,S,A){var R=S.removedElement;if(!R){R=z;}else if(!(R instanceof M)){throw new Error("No valid 'removedElement' found");}var B=A.getAction("remove",R);return B;}function o(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.removedElement=sap.ui.getCore().byId(g(S.removedElement));a(S.removedElement);}function p(z,S,A){var B=S.source;var G=A.getAction("combine",B);return G;}function q(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.source=sap.ui.getCore().byId(g(S.source));a(S.source);var T=S.combineElements.map(function(z){z=sap.ui.getCore().byId(g(z));a(z);return z;});S.combineElements=T;}function r(z,S,A){var B=S.source;var G=A.getAction("split",B);return G;}function s(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.parentElement=sap.ui.getCore().byId(g(S.parentElement));a(S.parentElement);S.source=sap.ui.getCore().byId(g(S.source));a(S.source);}function t(z,S,A){var N=S.element;return A.getAction("add",N,"delegate");}function u(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);S.parentId=g(S.parentId);a(S.parentId);}function v(z,S,A){var R=S.element;var B=A.getAction("reveal",R);return B;}function w(S){S.element=sap.ui.getCore().byId(g(S.element));a(S.element);if(S.revealedElementId){S.revealedElementId=g(S.revealedElementId);a(S.revealedElementId);}if(S.directParent){S.directParent=sap.ui.getCore().byId(g(S.directParent));a(S.directParent);}}function x(z,S,A){var B=A.getAction("add",S.element);if(B&&B.custom&&typeof B.custom.getItems==="function"){var G={changeOnRelevantContainer:S.changeOnRelevantContainer,changeType:S.changeType};delete S["changeOnRelevantContainer"];return G;}}var C={composite:{clazz:'sap.ui.rta.command.CompositeCommand',noSelector:true},property:{clazz:'sap.ui.rta.command.Property',adjustForBinding:d},bindProperty:{clazz:'sap.ui.rta.command.BindProperty'},addXML:{clazz:'sap.ui.rta.command.AddXML',configure:b,adjustForBinding:d},addXMLAtExtensionPoint:{clazz:'sap.ui.rta.command.AddXMLAtExtensionPoint',configure:b,adjustForBinding:d},createContainer:{clazz:'sap.ui.rta.command.CreateContainer',configure:f,adjustForBinding:h},move:{clazz:'sap.ui.rta.command.Move',configure:i,adjustForBinding:j},remove:{clazz:'sap.ui.rta.command.Remove',configure:n,adjustForBinding:o},rename:{clazz:'sap.ui.rta.command.Rename',configure:k,adjustForBinding:l},addDelegateProperty:{clazz:'sap.ui.rta.command.AddProperty',configure:t,adjustForBinding:u},reveal:{clazz:'sap.ui.rta.command.Reveal',configure:v,adjustForBinding:w},customAdd:{clazz:'sap.ui.rta.command.CustomAdd',configure:x},combine:{clazz:'sap.ui.rta.command.Combine',configure:p,adjustForBinding:q},split:{clazz:'sap.ui.rta.command.Split',configure:r,adjustForBinding:s},"switch":{clazz:'sap.ui.rta.command.ControlVariantSwitch'},duplicate:{clazz:'sap.ui.rta.command.ControlVariantDuplicate'},setTitle:{clazz:'sap.ui.rta.command.ControlVariantSetTitle'},configure:{clazz:'sap.ui.rta.command.ControlVariantConfigure'},settings:{clazz:'sap.ui.rta.command.Settings'},addLibrary:{clazz:'sap.ui.rta.command.appDescriptor.AddLibrary',noSelector:true},appDescriptor:{clazz:'sap.ui.rta.command.AppDescriptorCommand',noSelector:true},addIFrame:{clazz:'sap.ui.rta.command.AddIFrame'}};function _(z,A,S,B,G,V){A=A[0].toLowerCase()+A.slice(1);var H=C[A];var I=G;if(!H){return Promise.reject(D.createError("CommandFactory#_getCommandFor","Command '"+A+"' doesn't exist, check typing","sap.ui.rta"));}return new Promise(function(R){var J=H.clazz;sap.ui.require([J.replace(/\./g,"/")],function(K){R(K);});}).then(function(J){var K=z instanceof M;if(!H.noSelector){S=Object.assign({},S,!K&&{selector:z});}S=Object.assign({},S,{element:K?z:undefined,name:A});var N;if(H.configure){N=H.configure(z,S,B);}var P;if(K){P=O.getOverlay(z);}if(N&&N.changeOnRelevantContainer){Object.assign(S,{element:P.getRelevantContainer()});z=S.element;P=O.getOverlay(z);}var T;if(P&&z.sParentAggregationName){T=e(P);}if(T){if(H.adjustForBinding){H.adjustForBinding(S);}I=m(T,I);}var Q=new J(S);var R=true;if(H.configure){R=c(z,Q,N);}if(R){return Promise.resolve().then(function(){return Q.prepare(I,V);}).then(function(U){if(U){return Q;}});}Q.destroy();return undefined;});}var y=M.extend("sap.ui.rta.command.CommandFactory",{metadata:{library:"sap.ui.rta",properties:{flexSettings:{type:"object"}},associations:{},events:{}}});y.prototype.init=function(){this.setProperty("flexSettings",{layer:L.CUSTOMER,developerMode:true});};y.prototype.setFlexSettings=function(z){this.setProperty("flexSettings",jQuery.extend(this.getFlexSettings(),z));};y.prototype.getCommandFor=function(z,A,S,B,V){return _(z,A,S,B,this.getFlexSettings(),V);};y.getCommandFor=function(z,A,S,B,G){if(!G){G={layer:L.CUSTOMER,developerMode:true};}if(G.scenario||G.baseId){var H=F.buildLrepRootNamespace(G.baseId,G.scenario,G.projectId);G.rootNamespace=H;G.namespace=H+"changes/";}return _(z,A,S,B,G);};return y;},true);
