/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/dt/OverlayRegistry","sap/ui/dt/ElementOverlay","sap/ui/dt/AggregationOverlay","sap/ui/dt/Util","sap/ui/fl/write/api/ExtensionPointRegistryAPI","sap/base/util/deepEqual","sap/base/util/merge","sap/base/util/restricted/_omit","sap/base/util/restricted/_pick","sap/ui/thirdparty/jquery"],function(O,E,A,D,a,d,m,_,b,q){"use strict";return function(r,p){var o={};o.mExtensionPointMetadata={palette:{icons:{svg:"sap/ui/core/designtime/Icon.icon.svg"}}};o._getOutline=function(i,c){var R;if(!c&&D.isInteger(i)){c=i;i=undefined;}var I=[];if(!i){I=r._oDesignTime.getRootElements().map(function(s){return O.getOverlay(s);});}else{var P=O.getOverlay(i);if(!P){throw D.createError("services.Outline#get","Cannot find element with id= "+i+". A valid or empty value for the initial element id should be provided.","sap.ui.rta");}I.push(P);}R=I.map(function(e){return this._getChildrenNodes(e,c);},this);return R;};o._getExtensionPoints=function(c){var P=c.id;var s=c.technicalName;return a.getExtensionPointInfoByParentId({parentId:P}).filter(function(e){return e.aggregationName===s;});};o._getExtensionPointData=function(e){return{id:e.targetControl.getId(),name:e.name,technicalName:"sap.ui.extensionpoint",type:"extensionPoint",icon:this.mExtensionPointMetadata.palette.icons.svg,extensionPointInfo:{defaultContent:e.defaultContent.map(function(c){return c.getId();})}};};o._enrichExtensionPointData=function(c){var i=sap.ui.getCore().getConfiguration().getDesignMode();if(c.type==="aggregation"&&i){var e=this._getExtensionPoints(c).sort(function(f,g){return g.index-f.index;});e.forEach(function(f){var g=this._getExtensionPointData(f);c.elements.splice(f.index,0,g);}.bind(this));}};o._getChildrenNodes=function(c,i,P){var v=D.isInteger(i);if(c.getShouldBeDestroyed()){return{};}var e=this._getNodeProperties(c,P)||{};var C=c.getChildren();if((!v||(v&&i>0))&&C.length>0&&!q.isEmptyObject(e)){i=v?i-1:i;e.elements=C.map(function(f){return this._getChildrenNodes(f,i,f.getParent());},this).filter(function(f){return!q.isEmptyObject(f);});this._enrichExtensionPointData(e);}return e;};o._getNodeProperties=function(c,P){var e;var s;var t;var v;var i=false;var f=c.getElement();var I=f.getId();var g=f.getMetadata().getName();var h=c.getDesignTimeMetadata();var j=h.getData();var k=h.getLabel(f);var l=(j.palette&&j.palette.icons&&j.palette.icons.svg||undefined);if(c instanceof E){t="element";i=c.getEditable();e=h.getName(f);v=c.isVisible();}else{t="aggregation";s=c.getAggregationName();e=P.getAggregation(s)?P.getDesignTimeMetadata().getAggregationDescription(s,f):undefined;}var n=Object.assign({id:I,technicalName:s||g,editable:i,type:t},k!==I&&k!==undefined&&{instanceName:k},e&&e.singular&&{name:e.singular},l!==undefined&&{icon:l},typeof v==="boolean"&&{visible:v});return n;};o._removeDuplicate=function(R,c){return R.filter(function(u){return!d(c,u,Infinity);});};o._updatesHandler=function(e){var P=e.getParameters();if(this.sStatus==="initial"){this.aUpdates=[];}var R=m({},P);var s=R.id?O.getOverlay(R.id).getElement().getId():undefined;var t=R.targetId?O.getOverlay(R.targetId).getElement().getId():undefined;switch(e.getId()){case"elementOverlayCreated":if(P.elementOverlay.isRoot()){var c=P.elementOverlay.getElement().getId();R.element=o._getOutline(c)[0];R.type="new";break;}return;case"elementOverlayAdded":R.element=o._getOutline(s)[0];R.targetId=t;R.type="new";break;case"elementOverlayMoved":R.element=o._getOutline(s,0)[0];R.targetId=t;R.type="move";break;case"elementOverlayDestroyed":var f=R.elementOverlay.getParentAggregationOverlay();if((f instanceof A&&!f._bIsBeingDestroyed)||R.elementOverlay.isRoot()){R.element={};R.element.id=R.elementOverlay.getElement()?R.elementOverlay.getElement().getId():R.elementOverlay.getAssociation("element");R.type="destroy";break;}return;case"elementOverlayEditableChanged":R.element={id:s,editable:R.editable};R.type="editableChange";break;case"elementPropertyChanged":R.element=o._getOutline(s,0)[0];R.type="elementPropertyChange";break;}R=_(R,["elementOverlay","editable","target","id","elementId"]);this.aUpdates=o._removeDuplicate(this.aUpdates,R);this.aUpdates.push(R);if(this.sStatus==="initial"){setTimeout(function(){if(Array.isArray(this.aUpdates)&&this.aUpdates.length>0){this.sStatus="initial";p("update",this.aUpdates);}}.bind(o),200);}this.sStatus="processing";};o.destroy=function(){r._oDesignTime.detachEvent("elementOverlayCreated",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayAdded",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayMoved",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayDestroyed",this._updatesHandler,this);r._oDesignTime.detachEvent("elementPropertyChanged",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayEditableChanged",this._updatesHandler,this);delete this.aUpdates;delete this.sStatus;};o.aUpdates=[];o.sStatus="initial";r._oDesignTime.attachEvent("elementOverlayCreated",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayAdded",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayMoved",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayDestroyed",o._updatesHandler,o);r._oDesignTime.attachEvent("elementPropertyChanged",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayEditableChanged",o._updatesHandler,o);return{events:["update"],exports:{get:o._getOutline.bind(o)},destroy:o.destroy.bind(o)};};});
