/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/Object","sap/base/util/restricted/_debounce","sap/ui/testrecorder/CommunicationBus","sap/ui/testrecorder/CommunicationChannels","sap/ui/testrecorder/Constants"],function(q,B,_,C,a,c){"use strict";var u=null;var r=false;var U=B.extend("sap.ui.testrecorder.UIContextInjector",{constructor:function(){if(!u){this._sIdentifier=i();Object.apply(this,arguments);}else{return u;}}});U.prototype.injectFrame=function(t,o){window.communicationWindows=window.communicationWindows||{};this._generateTestRecorderUrl();this.fnOnClose=o;this._isInIframe=t.indexOf("window")===-1;this._onResizeHandleMouseover=b.bind(this);this._onResizeHandleMousedown=d.bind(this);this._onResizeHandleMouseleave=f.bind(this);this._onDocumentMouseup=g.bind(this);this._onDocumentMousemove=h.bind(this);if(this._isInIframe){this.dockFrameBottom();}else{this._openWindow();}window.communicationWindows.testRecorder.addEventListener("beforeunload",function(){if(!this._dockStarted&&!this._closeTriggered){this.close();}}.bind(this));C.subscribe(a.MINIMIZE_IFRAME,this.minimizeFrame.bind(this));C.subscribe(a.SHOW_IFRAME,this.unminimizeFrame.bind(this));C.subscribe(a.CLOSE_IFRAME,this.close.bind(this));C.subscribe(a.OPEN_NEW_WINDOW,this.openNewWindow.bind(this));C.subscribe(a.DOCK_IFRAME_BOTTOM,this.dockFrameBottom.bind(this));C.subscribe(a.DOCK_IFRAME_RIGHT,this.dockFrameRight.bind(this));C.subscribe(a.DOCK_IFRAME_LEFT,this.dockFrameLeft.bind(this));};U.prototype.minimizeFrame=function(){this._iframe.style.width=c.FRAME.MINIMIZED.width;this._iframe.style.height=c.FRAME.MINIMIZED.height;Object.values(this._resizeHandles).forEach(function(e){e.style.display="none";});};U.prototype.unminimizeFrame=function(){switch(this._sRememberedDockSide){case c.DOCK.RIGHT:this.dockFrameRight();break;case c.DOCK.LEFT:this.dockFrameLeft();break;case c.DOCK.BOTTOM:default:this.dockFrameBottom();break;}};U.prototype.dockFrameBottom=function(){this._dockFrame(c.DOCK.BOTTOM);};U.prototype.dockFrameRight=function(){this._dockFrame(c.DOCK.RIGHT);};U.prototype.dockFrameLeft=function(){this._dockFrame(c.DOCK.LEFT);};U.prototype._dockFrame=function(s){if(!this._iframe){this._dockStarted=true;this.close();this._openFrame();}this._sRememberedDockSide=s;for(var F in c.FRAME[s]){this._iframe.style[F]=c.FRAME[s][F];}Object.values(this._resizeHandles).forEach(function(e){e.style.display="none";});this._resizeHandles[s].style.display="block";for(var H in c.RESIZE_HANDLE[s]){this._resizeHandles[s].style[H]=c.RESIZE_HANDLE[s][H];}};U.prototype.openNewWindow=function(){this._dockStarted=true;this.close();this._openWindow();};U.prototype._openWindow=function(){window.communicationWindows.testRecorder=window.open(this._sUrl,"sapUiTestRecorder","width=1024,height=700,status=no,toolbar=no,menubar=no,resizable=yes,location=no,directories=no,scrollbars=yes");window.communicationWindows.testRecorder.window.onload=function(){window.communicationWindows.testRecorder.document.title="Test Recorder";};this._isInIframe=false;this._dockStarted=false;this._closeTriggered=false;};U.prototype._openFrame=function(){var F=document.createElement("IFRAME");var e=document.createElement("DIV");var j=this._createResizeHandle(q.extend(c.RESIZE_HANDLE.BOTTOM,{cursor:"n-resize",resize:function(m,p){m.style.top=p.y+"px";this._iframe.style.height="calc(100% - "+p.y+"px)";}.bind(this)}));var k=this._createResizeHandle(q.extend(c.RESIZE_HANDLE.RIGHT,{cursor:"e-resize",resize:function(m,p){m.style.left=p.x+"px";this._iframe.style.left=p.x+"px";this._iframe.style.width="calc(100% - "+p.x+"px)";}.bind(this)}));var l=this._createResizeHandle(q.extend(c.RESIZE_HANDLE.LEFT,{cursor:"w-resize",resize:function(m,p){m.style.left=p.x+"px";this._iframe.style.width=p.x+"px";}.bind(this)}));e.id=c.RESIZE_OVERLAY_ID;e.style.position="absolute";e.style.width="100%";e.style.height="100%";e.style.top="0";e.style.left="0";e.style["z-index"]=c.RESIZE_OVERLAY_ZINDEX;e.style.display="none";F.id=c.IFRAME_ID;F.src=this._sUrl;F.style.position="absolute";F.style.border="none";F.style.borderRadius="1px";F.style["z-index"]=c.IFRAME_ZINDEX;F.style.boxShadow="1px -10px 42px -4px #888";document.body.appendChild(j);document.body.appendChild(k);document.body.appendChild(l);document.body.appendChild(e);document.body.appendChild(F);window.communicationWindows.testRecorder=F.contentWindow;this._iframe=F;this._resizeOverlay=e;this._resizeHandles={BOTTOM:j,RIGHT:k,LEFT:l};this._dockStarted=false;this._isInIframe=true;this._closeTriggered=false;};U.prototype.close=function(){if(this._closeTriggered){return;}this._closeTriggered=true;if(this._isInIframe){var e=this._iframe&&this._iframe.contentWindow;if(e){e.onerror=q.noop;this._iframe.src="about:blank";e.document.write('');e.close();if(typeof CollectGarbage=="function"){CollectGarbage();}this._iframe.remove();this._resizeOverlay.remove();Object.values(this._resizeHandles).forEach(function(j){j.remove();});this._iframe=null;this._resizeOverlay=null;this._resizeHandles={};}}else if(window.communicationWindows.testRecorder){window.communicationWindows.testRecorder.close();}if(!this._dockStarted){window.communicationWindows={};this.fnOnClose();}};U.prototype.getCommunicationInfo=function(){return{origin:this._sOrigin,identifier:this._sIdentifier,url:this._sUrl};};U.prototype._generateTestRecorderUrl=function(){this._sUrl=sap.ui.require.toUrl("sap/ui/testrecorder/ui/overlay.html")+"?sap-ui-testrecorder-origin="+window.location.protocol+"//"+window.location.host+"&"+"sap-ui-testrecorder-frame-identifier="+this._sIdentifier;var e=new window.URI(this._sUrl);this._sOrigin=(e.protocol()||window.location.protocol.replace(':',''))+'://'+(e.host()||window.location.host);};U.prototype._createResizeHandle=function(o){var e=document.createElement("DIV");e.id=o.id;e.style.position="absolute";e.style.width=o.width;e.style.height=o.height;e.style.left=o.left;e.style.top=o.top;e.style["z-index"]=c.RESIZE_HANDLE_ZINDEX;e.style.cursor=o.cursor;e.style.display="none";e.onmouseover=this._onResizeHandleMouseover(e);e.onmousedown=this._onResizeHandleMousedown(e,o.resize);e.onmouseleave=this._onResizeHandleMouseleave(e);return e;};function b(e){return function(){e.style.background="#0854a0";};}function d(j,R){return function(e){e.preventDefault();r=true;this._resizeOverlay.style.display="block";document.onmouseup=this._onDocumentMouseup;document.onmousemove=this._onDocumentMousemove(j,R);}.bind(this);}function f(e){return function(){if(!r){e.style.background="transparent";}};}function g(){r=false;this._resizeOverlay.style.display="none";document.onmouseup=null;document.onmousemove=null;}function h(j,R){return _(function(e){e.preventDefault();var l=150;R(j,{x:Math.max(Math.min(e.clientX,window.innerWidth-l),l),y:Math.max(Math.min(e.clientY,window.innerHeight-l),l)});},50);}function i(){return''+Date.now();}u=new U();return u;},true);
